![LibraryBuild](https://github.com/ElectronicCats/ElectronicCats-PN7150/workflows/LibraryBuild/badge.svg?branch=master)

# Electronic Cats PN7150
Library/Driver for NXP PN7150 NFC device

Optimized for fast design-in, NXP's PN7150 NFC solutions fully comply with the NFC Forum, including Linux®, AndroidTM, and WinIoT drivers, and support NCI 1.0 host communication.

PN7150 is the high-performance version of PN7120, the plug'n-play NFC solution for easy integration into any OS environment, reducing Bill of Material (BOM) size and cost. PN71xx controllers are ideal for home automation applications such as gateways and work seamlessly with NFC-connected tags.

## API Documentation

Check the [API Documentation](/API.md) for more information about the methods available in the library.

### Compatibility

* Arduino MKR Family
* STM32H747 
* ESP32  
* RP2040 
* RENESAS

**NOTE: NOT COMPATIBLE WITH ARDUINO AVR FAMILY**

## Quick Installing

To install, use the [Arduino Library Manager](https://support.arduino.cc/hc/en-us/articles/5145457742236-Add-libraries-to-Arduino-IDE) and search for "PN7150" and install the PN7150 by Electronic Cats library.

##  Wiki and Getting Started
For more information please visit: [**Getting Started in our Wiki**](https://github.com/ElectronicCats/ElectronicCats-PN7150/wiki)

## Maintainer

<a href="https://github.com/sponsors/ElectronicCats">
 <p align="center">
  <img src="https://electroniccats.com/wp-content/uploads/2020/07/Badge_GHS.png" height="104" />
 </p>
</a>

Electronic Cats invests time and resources in providing this open-source design, please support Electronic Cats and open-source hardware by purchasing products from Electronic Cats!
